package com.fjs.scenic.service.user;

import com.fjs.scenic.entity.user.StatisticalPermissions;
import com.fjs.scenic.service.common.BaseService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * This class is used for ...
 *
 * @author qufei
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface StatisticalPermissionsService extends BaseService<StatisticalPermissions> {

    List<HashMap<String,Object>> selectByUserID(Integer id);

    List<Integer> getByUserID(Integer id);

    List<Map<String,Object>> getByOpenID(String openID);

    List<StatisticalPermissions> getAll();
}
